<!doctype html>
<html lang="fr">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Createur de fichiers Json - TactTools</title>
  <link rel="stylesheet" href="Static/css/style1.css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>

<body>
  <div class="container-fluid">
    <div class="row">
      <div id="vue" v-cloak>
        <h2> Création de fichiers Json pour le projet Tact <button class="btn btn-primary" type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample">
            Import de fichier Json </button>
        </h2>
        <div class="collapse" id="collapseExample">
          <div class="card card-body">
            <p>Attention, importer un nouveau fichier écrase toute donnée actuellement saisie dans l'interface.</p>
            <div class="input-group mb-3">
              <div class="custom-file">
                <input type="file" class="custom-file-input" id="file-selector-vue" accept=".json" @change="fileload($event)">
                <label class="custom-file-label" for="file-selector-vue">Cliquer pour choisir fichier json à importer</label>
              </div>
            </div>
          </div>
        </div>
        <hr />
        <!-- NEW TAG -->
        <entrees @newtag="addTag" :tags="tags"></entrees>
        <!-- TAGS -->
        <div class="row row-cols-lg-4 row-cols-md-2 row-cols-sm-1 mt-2">
          <tag-item v-for="tag in tags" :item="tag" :key="tag.id" :tags="tags" @delete-item="removeItem(tag.id)"></tag-item>
        </div>
        <div class="text-center" v-if="tags.length != 0">
          <button @click="save" class="btn btn-success">Sauvegarder json</button>
          <a class="btn btn-info" id="telechargement" :download="importedfilename" :href="downloadurl" v-if="saved">Télécharger fichier Json</a>
          <!--WIP-->
          <a class="btn btn-info" id="telechargementcss" :download="cssfilename" :href="downloadurlcss" v-if="saved">Télécharger fichier CSS</a>
          <button @click="erasesave" class="btn btn-warning" v-if="saved">Effacer fichier json sauvegardé</button>
          <button @click="reset" class="btn btn-danger float-end">Remise à zéro</button>
        </div>
        <!--<form v-if="saved" action="/Jsonexport" method="post" enctype="multipart/form-data">
              <input v-model="tagsstring" name="export" id="export" hidden>
              <input type="submit" id="submit" value="Exporter fichier Json">*
            </form>-->
      </div>
    </div>
  </div>
  <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
  <script src="Static/js/script.js" type="module"></script>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>

</html>